Subject: [PATCH/POC 0/2] grep --full-tree

From: Michael J Gruber <[email-masked]>
Date: Tue, 1 Mar 2011 10:53:28 +0100

I think we could make --full-tree useful with pathspecs like below. There are
no tests yet and no doc because I actually favour a pathspec based solution,
and that would possibly lead to mixed pathspecs (relative+absolute),
interacting badly with an overall option.

But I have to look at the pathspec stuff first. Or maybe at format-patch, if I
interpret the latest What's Cooking correctly...

Junio C Hamano (1):
  grep: --full-tree

Michael J Gruber (1):
  grep: make --full-tree work with pathspecs

 builtin/grep.c |    7 +++++--
 1 files changed, 5 insertions(+), 2 deletions(-)

-- 
1.7.4.1.257.gb09fa